[arch-commits] Commit in (14 files)
Ionut Biru
ibiru at archlinux.org
Fri Feb 26 01:10:07 UTC 2010
Date: Thursday, February 25, 2010 @ 20:10:07
Author: ibiru
Revision: 70297
gnome-shell and dependencies
Added:
gjs/
gjs/repos/
gjs/trunk/
gjs/trunk/PKGBUILD
gnome-shell/
gnome-shell/repos/
gnome-shell/trunk/
gnome-shell/trunk/PKGBUILD
gnome-shell/trunk/gnome-shell.install
mutter/
mutter/repos/
mutter/trunk/
mutter/trunk/PKGBUILD
mutter/trunk/mutter.install
---------------------------------------+
gjs/trunk/PKGBUILD | 20 ++++++++++++++++++++
gnome-shell/trunk/PKGBUILD | 30 ++++++++++++++++++++++++++++++
gnome-shell/trunk/gnome-shell.install | 17 +++++++++++++++++
mutter/trunk/PKGBUILD | 30 ++++++++++++++++++++++++++++++
mutter/trunk/mutter.install | 17 +++++++++++++++++
5 files changed, 114 insertions(+)
Added: gjs/trunk/PKGBUILD
===================================================================
--- gjs/trunk/PKGBUILD (rev 0)
+++ gjs/trunk/PKGBUILD 2010-02-26 01:10:07 UTC (rev 70297)
@@ -0,0 +1,20 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.ro>
+pkgname=gjs
+pkgver=0.5
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+arch=('i686' 'x86_64')
+url="http://live.gnome.org/Gjs"
+license=('GPL')
+depends=('gobject-introspection' 'xulrunner>=1.9.2')
+options=('!libtool')
+source=(http://download.gnome.org/sources/$pkgname/0.5/$pkgname-$pkgver.tar.bz2)
+sha256sums=('aac7629044a1be9c7ec0d0163854681071f5f90fb2e567e306280ae87b921dc0')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
Property changes on: gjs/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
+ Id
Added: gnome-shell/trunk/PKGBUILD
===================================================================
--- gnome-shell/trunk/PKGBUILD (rev 0)
+++ gnome-shell/trunk/PKGBUILD 2010-02-26 01:10:07 UTC (rev 70297)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Flamelab <panosfilip at gmail.com
+
+pkgname=gnome-shell
+pkgver=2.29.0
+pkgrel=1
+pkgdesc="The next generation GNOME Shell. Experimental, GNOME 3.0 version."
+arch=('i686' 'x86_64')
+url="http://live.gnome.org/GnomeShell"
+license=('GPL2')
+depends=('gnome-desktop>=2.29.91' 'gnome-python' 'gnome-menus>=2.29.91' 'mutter>=2.29.0' 'librsvg' 'gjs>=0.5')
+makedepends=('intltool' 'pkgconfig' 'gnome-doc-utils>=0.19.5' 'gir-repository')
+options=('!libtool' '!emptydirs')
+install=gnome-shell.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-shell/2.29/gnome-shell-$pkgver.tar.bz2)
+sha256sums=('7429cd9689e1a2e302b1c23e06c576ee6b0542a7f1c72c4c0efce3d83842aa58')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static || return 1
+ make || return 1
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnome-shell ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}
+
Property changes on: gnome-shell/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
+ Id
Added: gnome-shell/trunk/gnome-shell.install
===================================================================
--- gnome-shell/trunk/gnome-shell.install (rev 0)
+++ gnome-shell/trunk/gnome-shell.install 2010-02-26 01:10:07 UTC (rev 70297)
@@ -0,0 +1,17 @@
+pkgname=gnome-shell
+
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+}
Added: mutter/trunk/PKGBUILD
===================================================================
--- mutter/trunk/PKGBUILD (rev 0)
+++ mutter/trunk/PKGBUILD 2010-02-26 01:10:07 UTC (rev 70297)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
+
+pkgname=mutter
+pkgver=2.29.0
+pkgrel=1
+pkgdesc="The next-gen WM for gnome, with compositing by clutter"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('startup-notification' 'gconf>=2.28.0' 'zenity>=2.28.0' 'gobject-introspection' 'clutter' 'libcanberra')
+makedepends=('intltool' 'pkgconfig' 'gnome-doc-utils>=0.19.5' 'gir-repository')
+url="http://www.gnome.org"
+options=('!libtool' '!emptydirs')
+install=mutter.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.29/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('7e4c1c46542f1251e9ec495729a3b753e5753ecd18fe35df586e474f6bf5ab90')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --libexecdir=/usr/lib/mutter \
+ --localstatedir=/var --disable-static || return 1
+ make || return 1
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain mutter ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}
Property changes on: mutter/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
+ Id
Added: mutter/trunk/mutter.install
===================================================================
--- mutter/trunk/mutter.install (rev 0)
+++ mutter/trunk/mutter.install 2010-02-26 01:10:07 UTC (rev 70297)
@@ -0,0 +1,17 @@
+pkgname=mutter
+
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+}
More information about the arch-commits
mailing list